# Uses of Class
org.bukkit.material.DirectionalContainer

Packages that use DirectionalContainer
Package
Description
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of DirectionalContainer in org.bukkit.material

Subclasses of DirectionalContainer in org.bukkit.material
Modifier and Type
Class
Description
`class`
`Chest`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Dispenser`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`EnderChest`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Furnace`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`FurnaceAndDispenser`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
Methods in org.bukkit.material that return DirectionalContainer
Modifier and Type
Method
Description
`DirectionalContainer`
DirectionalContainer.`clone()`
Deprecated.